com.holonplatform.vaadin.flow.components

## Interface PropertyListing

- All Superinterfaces:
    HasComponent, com.vaadin.flow.component.HasElement, HasPropertySet<com.holonplatform.core.property.Property<?>>, ItemListing<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>>, ItemSet, Selectable<com.holonplatform.core.property.PropertyBox>, Serializable

      public interface PropertyListing
      extends ItemListing<com.holonplatform.core.property.PropertyBox,com.holonplatform.core.property.Property<?>>, HasPropertySet<com.holonplatform.core.property.Property<?>>

  An `ItemListing` component using `Property`s as item properties and `PropertyBox` as item data type.
  Since:
    5.2.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.ItemListing

      `ItemListing.EditorCancelListener<T,P>, ItemListing.EditorCloseListener<T,P>, ItemListing.EditorComponentGroup<P,T>, ItemListing.EditorOpenListener<T,P>, ItemListing.EditorSaveListener<T,P>, ItemListing.ItemEditorEvent<T,P>, ItemListing.ItemListingCell, ItemListing.ItemListingRow<P>, ItemListing.ItemListingSection<P,R extends ItemListing.ItemListingRow<P>>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.vaadin.flow.components.Selectable

      `Selectable.SelectionEvent<T>, Selectable.SelectionListener<T>, Selectable.SelectionMode`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <P extends com.holonplatform.core.property.Property> PropertyListingBuilder` | `builder(Iterable<P> properties)` Get a `PropertyListingBuilder` to create and setup a `PropertyListing`.
    `static PropertyListingBuilder` | `builder(com.holonplatform.core.property.Property<?>... properties)` Get a `PropertyListingBuilder` to create and setup a `PropertyListing`.

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ItemListing

      `addAdditionalItem, cancelEditing, editItem, getAdditionalItems, getColumnHeader, getColumnSorts, getDataProvider, getFooter, getHeader, getVisibleColumns, isEditable, isEditing, isFrozen, isItemDetailsVisible, refreshEditingItem, refreshItem, removeAdditionalItem, removeAdditionalItems, saveEditingItem, setColumnVisible, setFrozen, setItemDetailsVisible, setSelectionMode, sort, sort`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.ItemSet

      `refresh`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.Selectable

      `addSelectionListener, deselect, deselectAll, getFirstSelectedItem, getSelectedItems, getSelectionMode, isSelected, select`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.HasComponent

      `create, getComponent, getElement, hasEnabled, hasLabel, hasSize, hasStyle, hasValidation, isVisible, setVisible`

    - ### Methods inherited from interface com.holonplatform.vaadin.flow.components.HasPropertySet

      `getProperties, hasProperty`

- - ### Method Detail

    - #### builder

          static <P extends com.holonplatform.core.property.Property> PropertyListingBuilder builder(Iterable<P> properties)

      Get a `PropertyListingBuilder` to create and setup a `PropertyListing`.
      Type Parameters:
        `P` - Property type
      Parameters:
        `properties` - The listing property set (not null)
      Returns:
        A new `PropertyListingBuilder`

    - #### builder

          static PropertyListingBuilder builder(com.holonplatform.core.property.Property<?>... properties)

      Get a `PropertyListingBuilder` to create and setup a `PropertyListing`.
      Parameters:
        `properties` - The listing property set (not null)
      Returns:
        A new `PropertyListingBuilder`

Copyright © 2019 The Holon Platform. All rights reserved.